{% sw_extends '@Storefront/storefront/component/listing/breadcrumb.html.twig' %}

{% block component_listing_breadcrumb %}
    {% set breadcrumb = category.buildSeoBreadcrumb(context.salesChannel.navigationCategoryId) %}
	<nav aria-label="breadcrumb bg-light">
		<ol class="breadcrumb mb-0">
			{% for key, item in breadcrumb %}
			    <li class="breadcrumb-item {% if key is same as(category.id) %} active{% endif %}" aria-current="page">
			        {% block component_listing_breadcrumb_category %}
			            <a 
			               href="{{ seoUrl('frontend.navigation.page', { navigationId: key }) }}">
			                {% block component_listing_breadcrumb_link_name %}
			                    {{ item }}
			                {% endblock %}
			            </a>
			        {% endblock %}
			        {% block component_listing_breadcrumb_placeholder %}
			        {% endblock %}
			    </li>
			{% endfor %}
		</ol>
    </nav>
{% endblock %}